ლოჯისტიკური ისტორია
მიმდინარე სერვისით თქვენ შეძლებთ მიიღოთ ამანათის ლოჯისტიკური ისტორია თრექინგ ნომრის მიხედვით.
GET
/integrators/logistics/history/{waybillNumber}
| Field | Type | In | Required | Example | Description |
|---|---|---|---|---|---|
| waybillNumber | string | PATH | Yes | YT72358DF03423452 | ამანათის თრექინგ ნომერი. |
| Accept-Language | string | HEADER | No | ka | ენის კოდი (ka, en, ru). განსაზღვრავს ენამების თარგმანებს. |
პასუხის სტრუქტურა 200 OK
| Attribute | Type | Example | Description |
|---|---|---|---|
| data | array | [] | ლოჯისტიკური ევენთების მასივი. |
| data.*.uid | string (uuid) | 391b6da0-17b1-11f1-9b88-00155d4cfe58 | ევენთის უნიკალური იდენტიფიკატორი. |
| data.*.event | object | {} | ევენთის ობიექტი. |
| data.*.event.eventId | string | received | ევენთის ID (camelCase). |
| data.*.event.name | string | Received | ევენთის სახელი. |
| data.*.event.description | string | Parcel received at the overseas warehouse | ევენთის აღწერა. |
| data.*.reason | object | null | {} | ევენთის მიზეზი (თუ არსებობს). |
| data.*.reason.reasonId | string | extraLarge | მიზეზის ID (camelCase). |
| data.*.message | string | null | Additional info | დამატებითი მესიჯი. |
| data.*.location | object | {} | ლოკაციის ინფორმაცია. |
| data.*.location.country.name | string | United States | ქვეყნის სახელი. |
| data.*.location.city.name | string | New York | ქალაქის სახელი. |
| data.*.happenedAt | string | 2026-03-04T14:02:15+04:00 | მოქმედების დრო (ISO 8601). |
| data.*.happenedAtTimeStamp | integer | 1772618535000 | მოქმედების დრო (Timestamp ms). |
სტატუსების აღწერა
დეტალური ინფორმაცია ლოჯისტიკური სტატუსების და მათი მიზეზების შესახებ იხილეთ ცალკე გვერდზე: სტატუსების გვერდი
შესაძლო პასუხები
| Code | Description |
|---|---|
| 200 OK | ლოჯისტიკური ევენთების მასივი. |
| 403 Forbidden | თქვენ არ გაქვთ ამ ოპერაციის შესრულების უფლება |
cURL Request
BASH
curl -X GET https://api-staging.inex.ge/api/v1/integrators/logistics/history/YT72358DF03423452 \
-H "Authorization: Bearer {TOKEN}" \
-H "Content-Type: application/json"
-H "Accept-Language: ka"
Response (200 OK)
JSON Response
JSON
{
"data": [
{
"uid": "391b6da0-17b1-11f1-9b88-00155d4cfe58",
"event": {
"eventId": "received",
"name": "Received",
"description": "Parcel received at the overseas warehouse"
},
"reason": null,
"message": null,
"location": {
"country": {
"name": "United States",
"code": "US"
},
"city": {
"name": "New York"
},
"pickupLocation": null
},
"happenedAt": "2026-03-04T14:02:15+04:00",
"happenedAtTimeStamp": 1772618535000
},
{
"uid": "482c7eb1-28c2-22g2-0c99-11266e5dgf69",
"event": {
"eventId": "rejected",
"name": "Rejected",
"description": "The package was rejected by the recipient or warehouse"
},
"reason": {
"reasonId": "extraLarge",
"name": "Extra Large",
"description": "Package is too large"
},
"message": "Rejected due to size limits",
"location": {
"country": {
"name": "United States",
"code": "US"
},
"city": {
"name": "New York"
},
"pickupLocation": null
},
"happenedAt": "2026-03-05T10:00:00+04:00",
"happenedAtTimeStamp": 1772690400000
}
]
}
Error Response (403)
JSON Response
JSON
{
"errors": {
"general": [
"You are not authorized to perform this action. Contact administrator."
]
},
"message": "error"
}
Error Response (404)
JSON Response
JSON
{
"errors": {
"general": [
"Requested parcel not found"
]
},
"message": "error"
}